<?php

namespace Drupal\mapycz\Plugin\views\field;

use Drupal\Core\Form\FormStateInterface;
use Drupal\views\Plugin\views\field\EntityField;

/**
 * Field handler for MapyCZ field.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("mapycz_field")
 */
class MapyCzField extends EntityField {

  /**
   * {@inheritdoc}
   */
  public function buildOptionsForm(&$form, FormStateInterface $form_state) {
    // Call the parent implementation to ensure proper behavior.
    parent::buildOptionsForm($form, $form_state);

    // Remove the click sort field selector, if it exists.
    if (isset($form['click_sort_column'])) {
      unset($form['click_sort_column']);
    }
  }

}
